### Method

# GIRepository ArgInfo load_type_info

since: 2.80

#### Declaration

    void
    gi_arg_info_load_type_info (
      GIArgInfo* info,
      GITypeInfo* type
    )

#### Description

Obtain information about a the type of given argument `info`; this function is a variant of `gi_arg_info_get_type_info()` designed for stack allocation.

The initialized `type` must not be referenced after `info` is deallocated.

Once you are done with `type`, it must be cleared using `gi_base_info_clear()`.

Available since: 2.80

#### Parameters

`type`

  Type: `GITypeInfo`

  Initialized with information about type of `info`.

  The argument will be set by the function.
  The data is owned by the instance.